RDKit: utils.h File Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Namespaces | Typedefs | Functions | Variables
utils.h File Reference
`#include <RDGeneral/export.h>`
`#include "types.h"`
`#include <RDGeneral/Invariant.h>`
`#include <RDGeneral/BoostStartInclude.h>`
`#include <boost/random.hpp>`
`#include <RDGeneral/BoostEndInclude.h>`

Go to the source code of this file.

## Namespaces
namespace | RDKit
| Std stuff.

## Typedefs
typedef boost::minstd_rand | RDKit::rng_type
typedef boost::uniform_int | RDKit::uniform_int
typedef boost::uniform_real | RDKit::uniform_double
typedef boost::variate_generator< rng_type &, uniform_int > | RDKit::int_source_type
typedef boost::variate_generator< rng_type &, uniform_double > | RDKit::double_source_type

## Functions
RDKIT_RDGENERAL_EXPORT double | RDKit::computeIntVectPrimesProduct (const INT_VECT &ring)
| compute the product of the set of primes corresponding to the values in an INT_VECT
RDKIT_RDGENERAL_EXPORT bool | RDKit::feq (double v1, double v2, double tol=1e-4)
| floating point comparison with a tolerance
RDKIT_RDGENERAL_EXPORT rng_type & | RDKit::getRandomGenerator (int seed=-1)
RDKIT_RDGENERAL_EXPORT double | RDKit::getRandomVal (int seed=-1)
RDKIT_RDGENERAL_EXPORT double_source_type & | RDKit::getDoubleRandomSource ()
| return a reference to the global (Boost) random source
template<class T>
unsigned int | RDKit::countSwapsToInterconvert (const T &ref, T probe)
RDKIT_RDGENERAL_EXPORT std::string | RDKit::augmentTagName (const std::string &tag)
template<unsigned n>
double | int_pow (double x)
template<>
double | int_pow< 0 > (double)
template<>
double | int_pow< 1 > (double x)

## Variables
const int | RDKit::NUM_PRIMES_AVAIL
| the number of primes available and stored
RDKIT_RDGENERAL_EXPORT int | RDKit::firstThousandPrimes [NUM_PRIMES_AVAIL]
const int | RDKit::FILE_MAXLINE
| an assumed maximum length for lines read from files

## Function Documentation

## ◆ int_pow()

template<unsigned n>

double int_pow | ( | double | x | ) |
| inline

Definition at line 87 of file utils.h.

References int_pow().

Referenced by int_pow().

## ◆ int_pow< 0 >()

template<>

double int_pow< 0 > | ( | double |  | ) |
| inline

Definition at line 97 of file utils.h.

## ◆ int_pow< 1 >()

template<>

double int_pow< 1 > | ( | double | x | ) |
| inline

Definition at line 102 of file utils.h.